Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.ejb
Interface SessionBean

All Superinterfaces:
  EnterpriseBean, java.io.Serializable

public interface SessionBean
extends EnterpriseBean

The SessionBean interface is implemented by every session enterprise Bean class. The container uses the SessionBean methods to notify the enterprise Bean instances of the instance's life cycle events.

Method Summary
`void` | `ejbActivate()` The activate method is called when the instance is activated from its "passive" state.
`void` | `ejbPassivate()` The passivate method is called before the instance enters the "passive" state.
`void` | `ejbRemove()` A container invokes this method before it ends the life of the session object.
`void` | `setSessionContext(SessionContext ctx)` Set the associated session context.

Method Detail

### setSessionContext

    public void setSessionContext(SessionContext ctx)
                           throws EJBException,
                                  java.rmi.RemoteException

  Set the associated session context. The container calls this method after the instance creation.

  The enterprise Bean instance should store the reference to the context object in an instance variable.

  This method is called with no transaction context.

  Parameters:
    `ctx` - A SessionContext interface for the instance.
  Throws:
    `EJBException` - Thrown by the method to indicate a failure caused by a system-level error.
    `java.rmi.RemoteException` - This exception is defined in the method signature to provide backward compatibility for applications written for the EJB 1.0 specification. Enterprise beans written for the EJB 1.1 specification should throw the javax.ejb.EJBException instead of this exception. Enterprise beans written for the EJB2.0 and higher specifications must throw the javax.ejb.EJBException instead of this exception.

### ejbRemove

    public void ejbRemove()
                   throws EJBException,
                          java.rmi.RemoteException

  A container invokes this method before it ends the life of the session object. This happens as a result of a client's invoking a remove operation, or when a container decides to terminate the session object after a timeout.

  This method is called with no transaction context.

  Throws:
    `EJBException` - Thrown by the method to indicate a failure caused by a system-level error.
    `java.rmi.RemoteException` - This exception is defined in the method signature to provide backward compatibility for enterprise beans written for the EJB 1.0 specification. Enterprise beans written for the EJB 1.1 specification should throw the javax.ejb.EJBException instead of this exception. Enterprise beans written for the EJB2.0 and higher specifications must throw the javax.ejb.EJBException instead of this exception.

### ejbActivate

    public void ejbActivate()
                     throws EJBException,
                            java.rmi.RemoteException

  The activate method is called when the instance is activated from its "passive" state. The instance should acquire any resource that it has released earlier in the ejbPassivate() method.

  This method is called with no transaction context.

  Throws:
    `EJBException` - Thrown by the method to indicate a failure caused by a system-level error.
    `java.rmi.RemoteException` - This exception is defined in the method signature to provide backward compatibility for enterprise beans written for the EJB 1.0 specification. Enterprise beans written for the EJB 1.1 specification should throw the javax.ejb.EJBException instead of this exception. Enterprise beans written for the EJB2.0 and higher specifications must throw the javax.ejb.EJBException instead of this exception.

### ejbPassivate

    public void ejbPassivate()
                      throws EJBException,
                             java.rmi.RemoteException

  The passivate method is called before the instance enters the "passive" state. The instance should release any resources that it can re-acquire later in the ejbActivate() method.

  After the passivate method completes, the instance must be in a state that allows the container to use the Java Serialization protocol to externalize and store away the instance's state.

  This method is called with no transaction context.

  Throws:
    `EJBException` - Thrown by the method to indicate a failure caused by a system-level error.
    `java.rmi.RemoteException` - This exception is defined in the method signature to provide backward compatibility for enterprise beans written for the EJB 1.0 specification. Enterprise beans written for the EJB 1.1 specification should throw the javax.ejb.EJBException instead of this exception. Enterprise beans written for the EJB2.0 and higher specifications must throw the javax.ejb.EJBException instead of this exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.